net.sf.jasperreports.engine.analytics.data

## Class StandardAxisLevel

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.data.StandardAxisLevel

- All Implemented Interfaces:
    AxisLevel

      public class StandardAxisLevel
      extends java.lang.Object
      implements AxisLevel

  Version:
    $Id: StandardAxisLevel.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.analytics.data.AxisLevel

      `AxisLevel.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROOT_LEVEL_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardAxisLevel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Axis` | `getAxis()`
    `int` | `getDepth()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getName()`
    `AxisLevel.Type` | `getType()`
    `java.lang.Class<?>` | `getValueType()`
    `void` | `setAxis(Axis axis)`
    `void` | `setDepth(int depth)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setName(java.lang.String name)`
    `void` | `setType(AxisLevel.Type type)`
    `void` | `setValueType(java.lang.Class<?> valueType)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_LEVEL_NAME

          public static final java.lang.String ROOT_LEVEL_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardAxisLevel

          public StandardAxisLevel()

  - ### Method Detail

    - #### getAxis

          public Axis getAxis()

      Specified by:
        `getAxis` in interface `AxisLevel`

    - #### setAxis

          public void setAxis(Axis axis)

    - #### getType

          public AxisLevel.Type getType()

      Specified by:
        `getType` in interface `AxisLevel`

    - #### setType

          public void setType(AxisLevel.Type type)

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `AxisLevel`

    - #### setName

          public void setName(java.lang.String name)

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `AxisLevel`

    - #### setLabel

          public void setLabel(java.lang.String label)

    - #### getValueType

          public java.lang.Class<?> getValueType()

      Specified by:
        `getValueType` in interface `AxisLevel`

    - #### setValueType

          public void setValueType(java.lang.Class<?> valueType)

    - #### getDepth

          public int getDepth()

      Specified by:
        `getDepth` in interface `AxisLevel`

    - #### setDepth

          public void setDepth(int depth)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com